> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embeddables.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Embeddable Version

> Retrieve a specific version of an embeddable from the database based on the ID and version number



## OpenAPI

````yaml GET /projects/{projectId}/embeddables/{embeddableId}/versions/{versionNumber}
openapi: 3.0.1
info:
  title: api
  version: 0.0.1
servers:
  - url: https://api.embeddables.com
    description: Production
security: []
paths:
  /projects/{projectId}/embeddables/{embeddableId}/versions/{versionNumber}:
    get:
      tags:
        - Embeddables
      description: >-
        Retrieve a specific version of an embeddable from the database based on
        the ID and version number
      operationId: embeddables_getEmbeddableVersion
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ProjectId'
          examples:
            Example1:
              value: pr_myexampleproject
            Example2:
              value: pr_myexampleproject
            Example3:
              value: pr_myexampleproject
        - name: embeddableId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/EmbeddableId'
          examples:
            Example1:
              value: flow_myexampleembeddable
            Example2:
              value: flow_doesnotexist
            Example3:
              value: flow_myexampleembeddable
        - name: versionNumber
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/EmbeddableVersionNumber'
          examples:
            Example1:
              value: 123
            Example2:
              value: 123
            Example3:
              value: 123456789
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
          examples:
            Example1:
              value: rk_myexampleapikey
            Example2:
              value: rk_myexampleapikey
            Example3:
              value: rk_myexampleapikey
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddableVersionWithJson'
              examples:
                Example1:
                  value:
                    embeddable_id: flow_myexampleembeddable
                    version_number: 123
                    saved_at: '2022-01-01T00:00:00Z'
                    json_string: '{ "pages": [] }'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedErrorBody'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddableDoesNotExistErrorBody'
              examples:
                Example1:
                  value:
                    error:
                      code: embeddable_does_not_exist
                      message: The embeddable does not exist
                    projectId: pr_myexampleproject
                    embeddableId: flow_doesnotexist
        '405':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddableVersionDoesNotExistErrorBody'
              examples:
                Example1:
                  value:
                    error:
                      code: embeddable_version_does_not_exist
                      message: The embeddable version does not exist
                    projectId: pr_myexampleproject
                    embeddableId: flow_myexampleembeddable
                    versionNumber: 123456789
components:
  schemas:
    ProjectId:
      title: ProjectId
      type: string
      description: The unique identifier for a Project in the database
    EmbeddableId:
      title: EmbeddableId
      type: string
      description: The unique identifier for a Embeddable in the database
    EmbeddableVersionNumber:
      title: EmbeddableVersionNumber
      type: integer
      description: The version number of an embeddable
    EmbeddableVersionWithJson:
      title: EmbeddableVersionWithJson
      type: object
      properties:
        json_string:
          $ref: '#/components/schemas/JsonString'
      required:
        - json_string
      allOf:
        - $ref: '#/components/schemas/EmbeddableVersion'
    UnauthorizedErrorBody:
      title: UnauthorizedErrorBody
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        projectId:
          $ref: '#/components/schemas/ProjectId'
      required:
        - error
        - projectId
    EmbeddableDoesNotExistErrorBody:
      title: EmbeddableDoesNotExistErrorBody
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        projectId:
          $ref: '#/components/schemas/ProjectId'
        embeddableId:
          $ref: '#/components/schemas/EmbeddableId'
      required:
        - error
        - projectId
        - embeddableId
    EmbeddableVersionDoesNotExistErrorBody:
      title: EmbeddableVersionDoesNotExistErrorBody
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        projectId:
          $ref: '#/components/schemas/ProjectId'
        embeddableId:
          $ref: '#/components/schemas/EmbeddableId'
        versionNumber:
          $ref: '#/components/schemas/EmbeddableVersionNumber'
      required:
        - error
        - projectId
        - embeddableId
        - versionNumber
    JsonString:
      title: JsonString
      type: string
      description: The JSON representation of the embeddable, stringified
    EmbeddableVersion:
      title: EmbeddableVersion
      type: object
      properties:
        embeddable_id:
          $ref: '#/components/schemas/EmbeddableId'
        version_number:
          $ref: '#/components/schemas/EmbeddableVersionNumber'
        saved_at:
          $ref: '#/components/schemas/DateTime'
      required:
        - embeddable_id
        - version_number
        - saved_at
    ErrorBody:
      title: ErrorBody
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
    DateTime:
      title: DateTime
      type: string
      description: A Date + Time string in ISO format

````